package tjc;
import tcl.lang.*;

public class TJCExtension extends Extension {
    public void init(Interp interp)
            throws TclException
    {
        String init_file = "tjc.tcl";
        String[] files = {
            "compileproc.tcl",
            "descend.tcl",
            "emitter.tcl",
            "jdk.tcl",
            "main.tcl",
            "module.tcl",
            "nameproc.tcl",
            "parse.tcl",
            "parseproc.tcl",
            "reload.tcl",
            "tjc.tcl",
            "tjcthread.tcl",
            "util.tcl"
        };
        String prefix = "/tjc/library/";

        TJC.sourceInitFile(interp, init_file, files, prefix);
    }
}

