
library ieee;
use ieee.std_logic_1164.all;


package vl2vh_common_pack is
    type vl2vh_memory_type is array (natural range<>, natural range<>) 
                                    of std_logic;
    function vl2vh_ternary_func( cond: boolean; trueval: std_logic; 
                                  falseval: std_logic ) return std_logic;
    function vl2vh_ternary_func( cond: boolean; trueval: std_logic_vector; 
                         falseval: std_logic_vector ) return std_logic_vector;
end package vl2vh_common_pack;

package body vl2vh_common_pack is
    function vl2vh_ternary_func( cond: boolean; trueval: std_logic; 
                                  falseval: std_logic ) return std_logic is
    begin
            if ( cond ) then
                return trueval;
            else
                return falseval;
            end if;
    end;

    function vl2vh_ternary_func( cond: boolean; trueval: std_logic_vector; 
                       falseval: std_logic_vector ) return std_logic_vector is
    begin
            if ( cond ) then
                return trueval;
            else
                return falseval;
            end if;
    end;
end package body vl2vh_common_pack;
